<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.fjhx</groupId>
    <artifactId>bytesailing</artifactId>
    <version>1.0</version>

    <packaging>pom</packaging>

    <modules>
        <module>code</module>
        <module>hx-admin</module>
        <module>hx-customer</module>
        <module>hx-ehsd</module>
        <module>hx-finance</module>
        <module>hx-iot</module>
        <module>hx-item</module>
        <module>hx-mail</module>
        <module>hx-mes</module>
        <module>hx-supply</module>
        <module>hx-wms</module>
        <module>hx-common</module>
        <module>hx-oa</module>
        <module>hx-purchase</module>
        <module>hx-account</module>
        <module>hx-sale</module>
        <module>hx-victoriatourist</module>
        <module>hx-dingding</module>
        <module>hx-data</module>
        <module>hx-jxst</module>
    </modules>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <hx.version>1.0</hx.version>
    </properties>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.7.6</version>
    </parent>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-base</artifactId>
                <version>1.0.2</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-admin</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-common</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-customer</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-ehsd</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-finance</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-iot</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-item</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-mail</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-mes</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-supply</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-wms</artifactId>
                <version>${hx.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-oa</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-customer</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-purchase</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-sale</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-account</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-victoriatourist</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-dingding</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-data</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>hx-jxst</artifactId>
                <version>${hx.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

</project>
